--insertar tabla en la tabla _tablas
IF NOT EXISTS(SELECT *FROM [_tablas] WHERE[tabla]='ort_reporteTecnico_ot')
BEGIN
INSERT INTO [_tablas]
([tabla] ,[esMultiempresa] ,[duplicar])
 VALUES
 ('ort_reporteTecnico_ot' ,1 ,0)
END

--insertar columnas en la tabla columnas
IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='ort_reporteTecnico_ot'
AND [columna]='observaciones' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=1 AND[requerido]=1)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('ort_reporteTecnico_ot' ,'observaciones',1 ,1 ,1 ,'varchar' ,0 ,2000)
END

IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='ort_reporteTecnico_ot'
AND [columna]='id_reporteTecnico' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=1 AND[requerido]=1 AND[tipo]='int')
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo])
 VALUES
 ('ort_reporteTecnico_ot' ,'id_reporteTecnico',1 ,1 ,1 ,'int' )
END

IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='ort_reporteTecnico_ot'
AND [columna]='id_ot' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=1 AND[requerido]=1 AND[tipo]='int')
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo])
 VALUES
 ('ort_reporteTecnico_ot' ,'id_ot',1 ,1 ,1 ,'int' )
END

IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='ort_reporteTecnico_ot'
AND [columna]='id' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=1 AND[requerido]=1 AND[tipo]='int')
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo])
 VALUES
 ('ort_reporteTecnico_ot' ,'id',1 ,1 ,1 ,'int')
END

IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='ort_reporteTecnico_ot'
AND [columna]='uid' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=1 AND[requerido]=1 AND[tipo]='int')
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo])
 VALUES
 ('ort_reporteTecnico_ot' ,'uid',1 ,1 ,1 ,'int')
END

IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='ort_reporteTecnico_ot'
AND [columna]='eid' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=1 AND[requerido]=1 AND[tipo]='int')
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo])
 VALUES
 ('ort_reporteTecnico_ot' ,'eid',1 ,1 ,1 ,'int')
END

IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='ort_reporteTecnico_ot'
AND [columna]='id_usuario_modifico' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=1 AND[requerido]=1 AND[tipo]='int')
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo])
 VALUES
 ('ort_reporteTecnico_ot' ,'id_usuario_modifico',1 ,1 ,1 ,'int' )
END

IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='ort_reporteTecnico_ot'
AND [columna]='id_usuario_creo' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=1 AND[requerido]=1 AND[tipo]='int')
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo])
 VALUES
 ('ort_reporteTecnico_ot' ,'id_usuario_creo',1 ,1 ,1 ,'int')
END

IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='ort_reporteTecnico_ot'
AND [columna]='fechaModificacion' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=1 AND[requerido]=1)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto])
 VALUES
 ('ort_reporteTecnico_ot' ,'fechaModificacion',1 ,1 ,1 ,'datetime' ,(getdate()) )
END

IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='ort_reporteTecnico_ot'
AND [columna]='fechaCreacion' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=1 AND[requerido]=1 )
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto])
 VALUES
 ('ort_reporteTecnico_ot' ,'fechaCreacion',1 ,1 ,1 ,'datetime' ,(getdate()))
END

IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='ort_reporteTecnico_ot'
AND [columna]='active' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=1 AND[requerido]=1 AND[tipo]='bit')
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto])
 VALUES
 ('ort_reporteTecnico_ot' ,'active',1 ,1 ,1 ,'bit' ,((1)) )
END
